package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.vo.OverallSummaryLineDataVO;
import com.zanxiang.game.data.serve.pojo.dto.OverallSummaryDTO;
import com.zanxiang.game.data.serve.pojo.vo.OverallSummaryVO;

import java.util.List;

public interface IOverallSummaryService {

    /**
     * 整体概况总数居
     * @param dto
     * @return
     */
    OverallSummaryVO getOverallSummaryTotalData(OverallSummaryDTO dto);

    /**
     * 整体概况折线图数据
     * @param dto
     * @return
     */
    List<OverallSummaryLineDataVO> getOverallSummaryLineData(OverallSummaryDTO dto);
}
